//FILE: libgomdconsts.hpp
//PURPOSE: define some constants for libgomd
//AUTHOR: Matthias Rechemburg, aka openMosixView
//MAIL: (mosixview@t-online.de)

#ifndef __libgomd_consts__
#define __libgomd_consts__

#define PROC_DIR            "/proc"
#define PROC_HPC_DIR        "/proc/hpc"
#define PROC_HPC_NODES_DIR  "/proc/hpc/nodes"

enum lgomd_ReturnValue {
  LGOMD_FAILURE = 0,
  LGOMD_SUCCESS,
  LGOMD_ERR_OPEN_FAILED,
  LGOMD_ERR_READ_FAILED
};

#endif

